org.eclipse.oomph.p2

## Interface ProfileDefinition

- All Superinterfaces:
    EObject, ModelElement, Notifier
  All Known Implementing Classes:
    ProfileDefinitionImpl

      public interface ProfileDefinition
      extends ModelElement

  A representation of the model object 'Profile Definition'.

  The following features are supported:

  - `Requirements`
  - `Repositories`
  - `Include Source Bundles`
  See Also:
    `P2Package.getProfileDefinition()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EList<Repository>` | `getRepositories()` Returns the value of the 'Repositories' containment reference list.
    `EList<Requirement>` | `getRequirements()` Returns the value of the 'Requirements' containment reference list.
    `boolean` | `isIncludeSourceBundles()` Returns the value of the 'Include Source Bundles' attribute.
    `void` | `setIncludeSourceBundles(boolean value)` Sets the value of the '`Include Source Bundles`' attribute.
    `void` | `setRepositories(EList<Repository> repositories)`
    `void` | `setRequirements(EList<Requirement> requirements)`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRequirements

          EList<Requirement> getRequirements()

      Returns the value of the 'Requirements' containment reference list. The list contents are of type `Requirement`.

      If the meaning of the 'Requirements' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Requirements' containment reference list.
      See Also:
        `P2Package.getProfileDefinition_Requirements()`
      Generated
      Model
        containment="true" extendedMetaData="name='requirement'"

    - #### getRepositories

          EList<Repository> getRepositories()

      Returns the value of the 'Repositories' containment reference list. The list contents are of type `Repository`.

      If the meaning of the 'Repositories' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Repositories' containment reference list.
      See Also:
        `P2Package.getProfileDefinition_Repositories()`
      Generated
      Model
        containment="true" extendedMetaData="name='repository'"

    - #### isIncludeSourceBundles

          boolean isIncludeSourceBundles()

      Returns the value of the 'Include Source Bundles' attribute.

      If the meaning of the 'Include Source Bundles' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Include Source Bundles' attribute.
      See Also:
        `setIncludeSourceBundles(boolean)`, `P2Package.getProfileDefinition_IncludeSourceBundles()`
      Generated
      Model

    - #### setIncludeSourceBundles

          void setIncludeSourceBundles(boolean value)

      Sets the value of the '`Include Source Bundles`' attribute.
      Parameters:
        `value` - the new value of the 'Include Source Bundles' attribute.
      See Also:
        `isIncludeSourceBundles()`
      Generated

    - #### setRequirements

          void setRequirements(EList<Requirement> requirements)

      Generated
      Model
        requirementsMany="true"

    - #### setRepositories

          void setRepositories(EList<Repository> repositories)

      Generated
      Model
        repositoriesMany="true"

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html